This is MP/M v1.1 for a Systems Group System 2800 computer. It includes
source code for the XIOS targeted to M80/L80.
Obviously I don't have M80, but the source can probably be made to work with
something else.